Subject: bug#73382: 31.0.50; Starting Emacs on latest macOS

From: Arash Esbati <[email-masked]>
Date: Fri, 20 Sep 2024 14:39:11 +0200

Severity: minor

Hi all,

I compiled Emacs from master (cbaf7edbb4) on macOS15 (incl. xcode16) and
when I open it from CLI, it starts but I also see:

--8<---------------cut here---------------start------------->8---
2024-09-20 14:24:58.583 emacs[23293:150402] +[IMKClient subclass]: chose IMKClient_Legacy
2024-09-20 14:24:58.583 emacs[23293:150402] +[IMKInputSession subclass]:chose IMKInputSession_Legacy
--8<---------------cut here---------------end--------------->8---

This seems to be more an issue with macOS15 than Emacs since other
applications are facing this as well[1].

I'm reporting this here in case others start seeing this and report it
as well.  This can be closed as "notabug" once the issue is fixed on
macOS side.

Best, Arash

Footnotes:
[1]  https://discussions.apple.com/thread/255761734?sortBy=rank